apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: titan-ccp-load-generator
spec:
  selector:
    matchLabels:
      app: titan-ccp-load-generator
  serviceName: titan-ccp-load-generator
  replicas: {{INSTANCES}}
  template:
    metadata:
      labels:
        app: titan-ccp-load-generator
    spec:
      terminationGracePeriodSeconds: 0
      containers:
      - name: workload-generator
        image: soerenhenning/uc3-wg:latest 
        env:
        - name: ZK_HOST
          value: "my-confluent-cp-zookeeper"
        - name: ZK_PORT
          value: "2181"
        - name: KAFKA_BOOTSTRAP_SERVERS
          value: "my-confluent-cp-kafka:9092"
        - name: NUM_SENSORS
          value: "{{NUM_SENSORS}}"
        - name: POD_NAME
          valueFrom:
            fieldRef:
              fieldPath: metadata.name
        - name: INSTANCES
          value: "{{INSTANCES}}"
          